#!/bin/sh
#
# This is a scorpio25 startup file, it will create all neccessary settings
# in "$HOME"/.scorpio25
# Scorpio needs its .ini file in its start location. 
# It is hardwired so please use this startup file
# 
# This script was sligtly modified from a script originally written by Oliver Korff <ok@xynyx.de> 


if [ ! -d "$HOME"/.scorpio25 ] ; then 
		mkdir "$HOME"/.scorpio25 ; 
	fi

if [ ! -d "$HOME"/.scorpio25/log ] ; then
		mkdir "$HOME"/.scorpio25/log ;
	fi

if [ ! -e "$HOME"/.scorpio25/scorpio.ini ] ; then 
		cp /usr/share/scorpio25/scorpio.ini "$HOME"/.scorpio25/ ; 
	fi

if [ ! -e "$HOME"/.scorpio25/book.dat ] ; then
		cp /usr/share/scorpio25/book.dat "$HOME"/.scorpio25/ ;
	fi

cd "$HOME"/.scorpio25/ 

/usr/bin/scorpio25.bin

exit 0
